## com.artofsolving.jodconverter
Class DocumentFamily

    java.lang.Object
      com.artofsolving.jodconverter.DocumentFamily

    public class DocumentFamily

extends java.lang.Object

Enum-style class declaring the available document families (Text, Spreadsheet, Presentation).

Field Summary
`static DocumentFamily` `DRAWING`
`static DocumentFamily` `PRESENTATION`
`static DocumentFamily` `SPREADSHEET`
`static DocumentFamily` `TEXT`

Method Summary
`static DocumentFamily` `getFamily(java.lang.String name)`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final DocumentFamily TEXT

### SPREADSHEET

    public static final DocumentFamily SPREADSHEET

### PRESENTATION

    public static final DocumentFamily PRESENTATION

### DRAWING

    public static final DocumentFamily DRAWING

Method Detail

### getName

    public java.lang.String getName()

### getFamily

    public static DocumentFamily getFamily(java.lang.String name)

Copyright © 2003-2009 Art of Solving. All Rights Reserved.